diff -rupN arpack++1.2.orig/include/arbnsmat.h arpack++1.2.patched/include/arbnsmat.h
--- arpack++1.2.orig/include/arbnsmat.h	2000-02-21 00:00:46.000000000 +0100
+++ arpack++1.2.patched/include/arbnsmat.h	2006-01-26 15:37:49.000000000 +0100
@@ -20,7 +20,7 @@
 #ifndef ARBNSMAT_H
 #define ARBNSMAT_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "armat.h"
 #include "arerror.h"
@@ -123,9 +123,9 @@ Copy(const ARbdNonSymMatrix<ARTYPE, ARFL
 
   // Copying very fundamental variables and user-defined parameters.
 
-  m         = other.m;
-  n         = other.n;
-  defined   = other.defined;
+  this->m         = other.m;
+   this->n         = other.n;
+   this->defined   = other.defined;
   factored  = other.factored;
   ndiagL    = other.ndiagL;
   ndiagU    = other.ndiagU;
@@ -139,11 +139,11 @@ Copy(const ARbdNonSymMatrix<ARTYPE, ARFL
 
   // Copying vectors.
 
-  Ainv = new ARTYPE[n*lda];
-  ipiv = new int[n];
+  Ainv = new ARTYPE[ this->n*lda];
+  ipiv = new int[ this->n];
 
-  copy(n*lda, other.Ainv, 1, Ainv, 1);
-  for (int i=0; i<n; i++) ipiv[i] = other.ipiv[i];
+  copy( this->n*lda, other.Ainv, 1, Ainv, 1);
+  for (int i=0; i< this->n; i++) ipiv[i] = other.ipiv[i];
 
 } // Copy.
 
@@ -158,7 +158,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   inca = ndiagL+ndiagU+1;
   for (i = 0; i < inca; i++) {
-    copy(n, &A[i], inca, &Ainv[ndiagL+i], lda);
+    copy( this->n, &A[i], inca, &Ainv[ndiagL+i], lda);
   }
 
 } // ExpandA.
@@ -174,7 +174,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Subtracting sigma from diagonal elements.
 
-  for (int i=(ndiagL+ndiagU); i<(lda*n); i+=lda) Ainv[i] -= sigma; 
+  for (int i=(ndiagL+ndiagU); i<(lda* this->n); i+=lda) Ainv[i] -= sigma; 
 
 } // SubtractAsI.
 
@@ -184,8 +184,8 @@ inline void ARbdNonSymMatrix<ARTYPE, ARF
 {
 
   ClearMem();
-  Ainv = new ARTYPE[lda*n];
-  ipiv = new int[n];
+  Ainv = new ARTYPE[lda* this->n];
+  ipiv = new int[ this->n];
 
 } // CreateStructure.
 
@@ -212,7 +212,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (! this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdNonSymMatrix::FactorA");
   }
 
@@ -226,7 +226,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Decomposing A.
 
-  gbtrf(n, n, ndiagL, ndiagU, Ainv, lda, ipiv, info);
+  gbtrf( this->n,  this->n, ndiagL, ndiagU, Ainv, lda, ipiv, info);
 
   // Handling errors.
 
@@ -243,7 +243,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (! this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED,
                       "ARbdNonSymMatrix::FactorAsI");
   }
@@ -258,7 +258,7 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Decomposing AsI.
 
-  gbtrf(n, n, ndiagL, ndiagU, Ainv, lda, ipiv, info);
+  gbtrf( this->n,  this->n, ndiagL, ndiagU, Ainv, lda, ipiv, info);
 
   // Handling errors.
 
@@ -281,13 +281,13 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (! this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdNonSymMatrix::MultMv");
   }
 
   // Determining w = M.v.
 
-  gbmv("N", m, n, ndiagL, ndiagU, one, A,
+  gbmv("N",  this->m,  this->n, ndiagL, ndiagU, one, A,
        ndiagL+ndiagU+1, v, 1, zero, w, 1);
 
 } // MultMv.
@@ -305,13 +305,13 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (! this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdNonSymMatrix::MultMtv");
   }
 
   // Determining w = M'.v.
 
-  gbmv("T", m, n, ndiagL, ndiagU, one, A,
+  gbmv("T",  this->m,  this->n, ndiagL, ndiagU, one, A,
        ndiagL+ndiagU+1, v, 1, zero, w, 1);   
 
 } // MultMtv.
@@ -321,7 +321,7 @@ template<class ARTYPE, class ARFLOAT>
 void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::MultMtMv(ARTYPE* v, ARTYPE* w)
 {
 
-  ARTYPE* t = new ARTYPE[m];
+  ARTYPE* t = new ARTYPE[ this->m];
 
   MultMv(v,t);
   MultMtv(t,w);
@@ -335,7 +335,7 @@ template<class ARTYPE, class ARFLOAT>
 void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::MultMMtv(ARTYPE* v, ARTYPE* w)
 {
 
-  ARTYPE* t = new ARTYPE[n];
+  ARTYPE* t = new ARTYPE[ this->n];
 
   MultMtv(v,t);
   MultMv(t,w);
@@ -349,8 +349,8 @@ template<class ARTYPE, class ARFLOAT>
 void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::Mult0MMt0v(ARTYPE* v, ARTYPE* w)
 {
 
-  MultMv(&v[m],w);
-  MultMtv(v,&w[m]);
+  MultMv(&v[ this->m],w);
+  MultMtv(v,&w[ this->m]);
 
 } // Mult0MMt0v.
 
@@ -368,11 +368,11 @@ void ARbdNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Overwritting w with v.
 
-  copy(n, v, 1, w, 1);
+  copy( this->n, v, 1, w, 1);
 
   // Solving A.w = v (or AsI.w = v).
 
-  gbtrs("N", n, ndiagL, ndiagU, 1, Ainv, lda, ipiv, w, m, info);
+  gbtrs("N",  this->n, ndiagL, ndiagU, 1, Ainv, lda, ipiv, w,  this->m, info);
 
   // Handling errors.
 
@@ -388,13 +388,13 @@ DefineMatrix(int np, int ndiagLp, int nd
 
   // Defining member variables.
 
-  m         = np;
-  n         = np;
+   this->m         = np;
+   this->n         = np;
   ndiagL    = ndiagLp;
   ndiagU    = ndiagUp;
   lda       = 2*ndiagL+ndiagU+1;
   A         = Ap;
-  defined   = true;
+   this->defined   = true;
   Ainv      = NULL;
   ipiv      = NULL;
   info      = 0; 
@@ -420,7 +420,7 @@ operator=(const ARbdNonSymMatrix<ARTYPE,
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+     this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arbscomp.h arpack++1.2.patched/include/arbscomp.h
--- arpack++1.2.orig/include/arbscomp.h	2000-02-20 14:29:32.000000000 +0100
+++ arpack++1.2.patched/include/arbscomp.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBSCOMP_H
 #define ARBSCOMP_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arscomp.h"
 #include "arbnsmat.h"
@@ -84,7 +84,7 @@ inline void ARluCompStdEig<ARFLOAT>::
 ChangeShift(arcomplex<ARFLOAT> sigmaRp)
 {
 
-  objOP->FactorAsI(sigmaRp);
+  this->objOP->FactorAsI(sigmaRp);
   ARrcStdEig<ARFLOAT, arcomplex<ARFLOAT> >::ChangeShift(sigmaRp);
 
 } // ChangeShift.
@@ -96,7 +96,7 @@ inline void ARluCompStdEig<ARFLOAT>::Set
 
   ARStdEig<ARFLOAT, arcomplex<ARFLOAT>, 
            ARbdNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT> >::
-    SetRegularMode(objOP,&ARbdNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT>::MultMv);
+    SetRegularMode(this->objOP,&ARbdNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT>::MultMv);
 
 } // SetRegularMode.
 
@@ -108,7 +108,7 @@ SetShiftInvertMode(arcomplex<ARFLOAT> si
 
   ARStdEig<ARFLOAT, arcomplex<ARFLOAT>,
            ARbdNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP,
+    SetShiftInvertMode(sigmap, this->objOP,
                        &ARbdNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
@@ -122,7 +122,7 @@ ARluCompStdEig(int nevp, ARbdNonSymMatri
 
 {
 
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &A,
                    &ARbdNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT>::MultMv,
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
@@ -153,7 +153,7 @@ operator=(const ARluCompStdEig<ARFLOAT>&
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arbsmat.h arpack++1.2.patched/include/arbsmat.h
--- arpack++1.2.orig/include/arbsmat.h	2000-02-20 13:46:20.000000000 +0100
+++ arpack++1.2.patched/include/arbsmat.h	2006-01-26 15:37:49.000000000 +0100
@@ -20,7 +20,7 @@
 #ifndef ARBSMAT_H
 #define ARBSMAT_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "armat.h"
 #include "arerror.h"
@@ -114,9 +114,9 @@ Copy(const ARbdSymMatrix<ARTYPE>& other)
 
   // Copying very fundamental variables and user-defined parameters.
 
-  m         = other.m;
-  n         = other.n;
-  defined   = other.defined;
+  this->m         = other.m;
+  this->n         = other.n;
+  this->defined   = other.defined;
   factored  = other.factored;
   uplo      = other.uplo;
   nsdiag    = other.nsdiag;
@@ -130,11 +130,11 @@ Copy(const ARbdSymMatrix<ARTYPE>& other)
 
   // Copying vectors.
 
-  Ainv = new ARTYPE[n*lda];
-  ipiv = new int[n];
+  Ainv = new ARTYPE[this->n*lda];
+  ipiv = new int[this->n];
 
-  copy(n*lda, other.Ainv, 1, Ainv, 1);
-  for (int i=0; i<n; i++) ipiv[i] = other.ipiv[i];
+  copy(this->n*lda, other.Ainv, 1, Ainv, 1);
+  for (int i=0; i<this->n; i++) ipiv[i] = other.ipiv[i];
 
 } // Copy.
 
@@ -149,13 +149,13 @@ void ARbdSymMatrix<ARTYPE>::ExpandA()
 
     // Copying the main diagonal of A to Ainv.
 
-    copy(n, &A[nsdiag], nsdiag+1, &Ainv[2*nsdiag], lda);
+    copy(this->n, &A[nsdiag], nsdiag+1, &Ainv[2*nsdiag], lda);
 
     // Copying the superdiagonals of A to Ainv.
 
     for (i = 0; i < nsdiag; i++) {
-      copy(n, &A[i], nsdiag+1, &Ainv[nsdiag+i], lda);
-      copy(n-nsdiag+i, &A[i+(nsdiag-i)*(nsdiag+1)], nsdiag+1, 
+      copy(this->n, &A[i], nsdiag+1, &Ainv[nsdiag+i], lda);
+      copy(this->n-nsdiag+i, &A[i+(nsdiag-i)*(nsdiag+1)], nsdiag+1, 
            &Ainv[3*nsdiag-i], lda);
     }
 
@@ -164,13 +164,13 @@ void ARbdSymMatrix<ARTYPE>::ExpandA()
 
     // Copying the main diagonal of A to Ainv.
 
-    copy(n, &A[0], nsdiag+1, &Ainv[2*nsdiag], lda);
+    copy(this->n, &A[0], nsdiag+1, &Ainv[2*nsdiag], lda);
 
     // Copying the subdiagonals of A to Ainv.
 
     for (i = 1; i <= nsdiag; i++) {
-      copy(n, &A[i], nsdiag+1, &Ainv[2*nsdiag+i], lda);
-      copy(n-i, &A[i], nsdiag+1, &Ainv[2*nsdiag-i+i*lda], lda);
+      copy(this->n, &A[i], nsdiag+1, &Ainv[2*nsdiag+i], lda);
+      copy(this->n-i, &A[i], nsdiag+1, &Ainv[2*nsdiag-i+i*lda], lda);
     }
 
   }
@@ -188,7 +188,7 @@ void ARbdSymMatrix<ARTYPE>::SubtractAsI(
 
   // Subtracting sigma from diagonal elements.
 
-  for (int i=(2*nsdiag); i<(lda*n); i+=lda) Ainv[i] -= sigma; 
+  for (int i=(2*nsdiag); i<(lda*this->n); i+=lda) Ainv[i] -= sigma; 
 
 } // SubtractAsI.
 
@@ -198,8 +198,8 @@ inline void ARbdSymMatrix<ARTYPE>::Creat
 {
 
   ClearMem();
-  Ainv = new ARTYPE[lda*n];
-  ipiv = new int[n];
+  Ainv = new ARTYPE[lda*this->n];
+  ipiv = new int[this->n];
 
 } // CreateStructure.
 
@@ -226,7 +226,7 @@ void ARbdSymMatrix<ARTYPE>::FactorA()
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdSymMatrix::FactorA");
   }
 
@@ -240,7 +240,7 @@ void ARbdSymMatrix<ARTYPE>::FactorA()
 
   // Decomposing A.
 
-  gbtrf(n, n, nsdiag, nsdiag, Ainv, lda, ipiv, info);
+  gbtrf(this->n, this->n, nsdiag, nsdiag, Ainv, lda, ipiv, info);
 
   // Handling errors.
 
@@ -257,7 +257,7 @@ void ARbdSymMatrix<ARTYPE>::FactorAsI(AR
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdSymMatrix::FactorAsI");
   }
 
@@ -271,7 +271,7 @@ void ARbdSymMatrix<ARTYPE>::FactorAsI(AR
 
   // Decomposing AsI.
 
-  gbtrf(n, n, nsdiag, nsdiag, Ainv, lda, ipiv, info);
+  gbtrf(this->n, this->n, nsdiag, nsdiag, Ainv, lda, ipiv, info);
 
   // Handling errors.
 
@@ -291,13 +291,13 @@ void ARbdSymMatrix<ARTYPE>::MultMv(ARTYP
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARbdSymMatrix::MultMv");
   }
 
   // Determining w = M.v.
 
-  sbmv(&uplo, n, nsdiag, one, A, nsdiag+1, v, 1, zero, w, 1);
+  sbmv(&uplo, this->n, nsdiag, one, A, nsdiag+1, v, 1, zero, w, 1);
 
 } // MultMv.
 
@@ -315,11 +315,11 @@ void ARbdSymMatrix<ARTYPE>::MultInvv(ART
 
   // Overwritting w with v.
 
-  copy(n, v, 1, w, 1);
+  copy(this->n, v, 1, w, 1);
 
   // Solving A.w = v (or AsI.w = v).
 
-  gbtrs("N", n, nsdiag, nsdiag, 1, Ainv, lda, ipiv, w, m, info);
+  gbtrs("N", this->n, nsdiag, nsdiag, 1, Ainv, lda, ipiv, w, this->m, info);
 
   // Handling errors.
 
@@ -335,13 +335,13 @@ DefineMatrix(int np, int nsdiagp, ARTYPE
 
   // Defining member variables.
 
-  m         = np;
-  n         = np;
+  this->m         = np;
+  this->n         = np;
   nsdiag    = nsdiagp;
   lda       = 3*nsdiag+1;
   uplo      = uplop;
   A         = Ap;
-  defined   = true;
+  this->defined   = true;
   Ainv      = NULL;
   ipiv      = NULL;
   info      = 0; 
@@ -367,7 +367,7 @@ operator=(const ARbdSymMatrix<ARTYPE>& o
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arbsnsym.h arpack++1.2.patched/include/arbsnsym.h
--- arpack++1.2.orig/include/arbsnsym.h	2000-02-20 14:14:28.000000000 +0100
+++ arpack++1.2.patched/include/arbsnsym.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBSNSYM_H
 #define ARBSNSYM_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arsnsym.h"
 #include "arbnsmat.h"
@@ -81,13 +81,13 @@ inline void ARluNonSymStdEig<ARFLOAT>::
 ChangeShift(ARFLOAT sigmaRp)
 {
 
-  sigmaR    = sigmaRp;
-  sigmaI    = 0.0;
-  mode      = 3;
-  iparam[7] = mode;
+   this->sigmaR    = sigmaRp;
+   this->sigmaI    = 0.0;
+   this->mode      = 3;
+   this->iparam[7] =  this->mode;
 
-  objOP->FactorAsI(sigmaR);
-  Restart();
+   this->objOP->FactorAsI( this->sigmaR);
+   this->Restart();
 
 } // ChangeShift.
 
@@ -97,7 +97,7 @@ inline void ARluNonSymStdEig<ARFLOAT>::S
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARbdNonSymMatrix<ARFLOAT, ARFLOAT> >::
-    SetRegularMode(objOP, &ARbdNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv);
+    SetRegularMode( this->objOP, &ARbdNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv);
 
 } // SetRegularMode.
 
@@ -107,7 +107,7 @@ inline void ARluNonSymStdEig<ARFLOAT>::S
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARbdNonSymMatrix<ARFLOAT, ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP, 
+    SetShiftInvertMode(sigmap,  this->objOP, 
                        &ARbdNonSymMatrix<ARFLOAT, ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
@@ -121,7 +121,7 @@ ARluNonSymStdEig(int nevp, ARbdNonSymMat
 
 {
 
-  NoShift();
+   this->NoShift();
   DefineParameters(A.ncols(), nevp, &A, 
                    &(ARbdNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv),
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
@@ -151,7 +151,7 @@ operator=(const ARluNonSymStdEig<ARFLOAT
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+     this->ClearMem();
     Copy(other);
   }
   return *this;
@@ -160,4 +160,3 @@ operator=(const ARluNonSymStdEig<ARFLOAT
 
 
 #endif // ARBSNSYM_H
-
diff -rupN arpack++1.2.orig/include/arbssym.h arpack++1.2.patched/include/arbssym.h
--- arpack++1.2.orig/include/arbssym.h	2000-02-20 14:08:20.000000000 +0100
+++ arpack++1.2.patched/include/arbssym.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBSSYM_H
 #define ARBSSYM_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arssym.h"
 #include "arbsmat.h"
@@ -81,13 +81,13 @@ inline void ARluSymStdEig<ARFLOAT>::
 ChangeShift(ARFLOAT sigmaRp)
 {
 
-  sigmaR    = sigmaRp;
-  sigmaI    = 0.0;
-  mode      = 3;
-  iparam[7] = mode;
+  this->sigmaR    = sigmaRp;
+  this->sigmaI    = 0.0;
+  this->mode      = 3;
+  this->iparam[7] = this->mode;
 
-  objOP->FactorAsI(sigmaR);
-  Restart();
+  this->objOP->FactorAsI(this->sigmaR);
+  this->Restart();
 
 } // ChangeShift.
 
@@ -97,7 +97,7 @@ inline void ARluSymStdEig<ARFLOAT>::SetR
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARbdSymMatrix<ARFLOAT> >::
-    SetRegularMode(objOP, &ARbdSymMatrix<ARFLOAT>::MultMv);
+    SetRegularMode(this->objOP, &ARbdSymMatrix<ARFLOAT>::MultMv);
 
 } // SetRegularMode.
 
@@ -107,7 +107,7 @@ inline void ARluSymStdEig<ARFLOAT>::SetS
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARbdSymMatrix<ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP, &ARbdSymMatrix<ARFLOAT>::MultInvv);
+    SetShiftInvertMode(sigmap, this->objOP, &ARbdSymMatrix<ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
 
@@ -119,7 +119,7 @@ ARluSymStdEig(int nevp, ARbdSymMatrix<AR
               int maxitp, ARFLOAT* residp, bool ishiftp)
 {
 
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &A, &ARbdSymMatrix<ARFLOAT>::MultMv,
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
 
@@ -147,7 +147,7 @@ operator=(const ARluSymStdEig<ARFLOAT>& 
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
@@ -156,4 +156,3 @@ operator=(const ARluSymStdEig<ARFLOAT>& 
 
 
 #endif // ARBSSYM_H
-
diff -rupN arpack++1.2.orig/include/arch.h arpack++1.2.patched/include/arch.h
--- arpack++1.2.orig/include/arch.h	2000-03-03 21:35:38.000000000 +0100
+++ arpack++1.2.patched/include/arch.h	2006-01-26 15:37:49.000000000 +0100
@@ -29,7 +29,7 @@
 // If the Standard Template Library is not available at your system
 // and you do not want to install it, comment out the following line.
 
-#include <vector.h>
+#include <vector>
 
 // If your STL vector class defines a variable other than
 // __SGI_STL_VECTOR_H, please change this variable name 
diff -rupN arpack++1.2.orig/include/arcomp.h arpack++1.2.patched/include/arcomp.h
--- arpack++1.2.orig/include/arcomp.h	2000-02-20 14:05:08.000000000 +0100
+++ arpack++1.2.patched/include/arcomp.h	2006-01-26 15:37:49.000000000 +0100
@@ -17,11 +17,11 @@
 #ifndef ARCOMP_H
 #define ARCOMP_H
 
-#include <complex.h>
+#include <complex>
 
 #ifdef __GNUG__
   
-#define arcomplex complex
+#define arcomplex std::complex
 
 #endif
 
diff -rupN arpack++1.2.orig/include/ardfmat.h arpack++1.2.patched/include/ardfmat.h
--- arpack++1.2.orig/include/ardfmat.h	2000-02-21 21:00:20.000000000 +0100
+++ arpack++1.2.patched/include/ardfmat.h	2006-01-26 15:37:49.000000000 +0100
@@ -19,11 +19,11 @@
 #ifndef ARDFMAT_H
 #define ARDFMAT_H
 
-#include <stddef.h>
-#include <fstream.h>
-#include <stdlib.h>
-#include <string.h>
-#include <stdio.h>
+#include <cstddef>
+#include <fstream>
+#include <cstdlib>
+#include <cstring>
+#include <cstdio>
 #include "arch.h"
 #include "arerror.h"
 
@@ -36,7 +36,7 @@ class ARdfMatrix {
   // const int linelength = 256;
 
   char*    datafile;  // Filename.
-  ifstream file;      // File handler.
+  std::ifstream file;      // File handler.
   int      m;         // Number of rows.
   int      n;         // Number of columns.
   int      blksize;   // Size of each matrix block that is read at once.
@@ -55,13 +55,13 @@ class ARdfMatrix {
 
   void SetComplexPointers(char* num, char* &realp, char* &imagp);
 			  			  
-  bool ReadEntry(ifstream& file, double& val);
+  bool ReadEntry(std::ifstream& file, double& val);
 
-  bool ReadEntry(ifstream& file, float& val);
+  bool ReadEntry(std::ifstream& file, float& val);
 
-  bool ReadEntry(ifstream& file, arcomplex<double>& val);
+  bool ReadEntry(std::ifstream& file, arcomplex<double>& val);
 
-  bool ReadEntry(ifstream& file, arcomplex<float>& val);
+  bool ReadEntry(std::ifstream& file, arcomplex<float>& val);
   
  public:
   
@@ -145,7 +145,7 @@ SetComplexPointers(char* num, char* &rea
 
 
 template<class ARTYPE>
-inline bool ARdfMatrix<ARTYPE>::ReadEntry(ifstream& file, double& val)
+inline bool ARdfMatrix<ARTYPE>::ReadEntry(std::ifstream& file, double& val)
 {
 
   char num[LINELEN];
@@ -165,7 +165,7 @@ inline bool ARdfMatrix<ARTYPE>::ReadEntr
 
 
 template<class ARTYPE>
-inline bool ARdfMatrix<ARTYPE>::ReadEntry(ifstream& file, float& val)
+inline bool ARdfMatrix<ARTYPE>::ReadEntry(std::ifstream& file, float& val)
 {
 
   double dval;
@@ -180,7 +180,7 @@ inline bool ARdfMatrix<ARTYPE>::ReadEntr
 
 template<class ARTYPE>
 inline bool ARdfMatrix<ARTYPE>::
-ReadEntry(ifstream& file, arcomplex<double>& val)
+ReadEntry(std::ifstream& file, arcomplex<double>& val)
 {
 
   char  num[LINELEN];
@@ -204,7 +204,7 @@ ReadEntry(ifstream& file, arcomplex<doub
 
 template<class ARTYPE>
 inline bool ARdfMatrix<ARTYPE>::
-ReadEntry(ifstream& file, arcomplex<float>& val)
+ReadEntry(std::ifstream& file, arcomplex<float>& val)
 {
 
   char  num[LINELEN];
diff -rupN arpack++1.2.orig/include/ardgcomp.h arpack++1.2.patched/include/ardgcomp.h
--- arpack++1.2.orig/include/ardgcomp.h	2000-02-21 00:30:26.000000000 +0100
+++ arpack++1.2.patched/include/ardgcomp.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARDGCOMP_H
 #define ARDGCOMP_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "ardnsmat.h"
 #include "ardnspen.h"
@@ -103,8 +104,8 @@ Copy(const ARluCompGenEig<ARFLOAT>& othe
   ARCompGenEig<ARFLOAT, ARdsNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT >,
                ARdsNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
 
 } // Copy.
 
@@ -114,7 +115,7 @@ inline void ARluCompGenEig<ARFLOAT>::
 ChangeShift(arcomplex<ARFLOAT> sigmaRp)
 {
 
-  objOP->FactorAsB(sigmaRp);
+  this->objOP->FactorAsB(sigmaRp);
   ARrcStdEig<ARFLOAT, arcomplex<ARFLOAT> >::ChangeShift(sigmaRp);
 
 } // ChangeShift.
@@ -155,7 +156,7 @@ ARluCompGenEig(int nevp, ARdsNonSymMatri
 {
 
   Pencil.DefineMatrices(A, B);
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARdsNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT>::MultInvBAv,
                    &Pencil, 
@@ -192,7 +193,7 @@ operator=(const ARluCompGenEig<ARFLOAT>&
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/ardgnsym.h arpack++1.2.patched/include/ardgnsym.h
--- arpack++1.2.orig/include/ardgnsym.h	2000-02-21 00:18:48.000000000 +0100
+++ arpack++1.2.patched/include/ardgnsym.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARDGNSYM_H
 #define ARDGNSYM_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "ardnsmat.h"
 #include "ardnspen.h"
@@ -110,9 +111,9 @@ Copy(const ARluNonSymGenEig<ARFLOAT>& ot
   ARNonSymGenEig<ARFLOAT, ARdsNonSymPencil<ARFLOAT, ARFLOAT>,
                  ARdsNonSymPencil<ARFLOAT, ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
-  objA   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
+  this->objA   = &Pencil;
 
 } // Copy.
 
@@ -123,10 +124,10 @@ ChangeShift(ARFLOAT sigmaRp, ARFLOAT sig
 {
 
   if (sigmaIp == 0.0) {
-    objOP->FactorAsB(sigmaRp);
+    this->objOP->FactorAsB(sigmaRp);
   }
   else {
-    objOP->FactorAsB(sigmaRp, sigmaIp, part);
+    this->objOP->FactorAsB(sigmaRp, sigmaIp, this->part);
   }
   ARrcNonSymGenEig<ARFLOAT>::ChangeShift(sigmaRp, sigmaIp);
 
@@ -178,7 +179,7 @@ ARluNonSymGenEig(int nevp, ARdsNonSymMat
 {
 
   Pencil.DefineMatrices(A, B);
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARdsNonSymPencil<ARFLOAT, ARFLOAT>::MultInvBAv, &Pencil,
                    &ARdsNonSymPencil<ARFLOAT, ARFLOAT>::MultBv, whichp,
@@ -232,7 +233,7 @@ operator=(const ARluNonSymGenEig<ARFLOAT
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/ardgsym.h arpack++1.2.patched/include/ardgsym.h
--- arpack++1.2.orig/include/ardgsym.h	2000-02-21 00:11:24.000000000 +0100
+++ arpack++1.2.patched/include/ardgsym.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARDGSYM_H
 #define ARDGSYM_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "ardsmat.h"
 #include "ardspen.h"
@@ -104,9 +105,9 @@ Copy(const ARluSymGenEig<ARFLOAT>& other
   ARSymGenEig<ARFLOAT, ARdsSymPencil<ARFLOAT>,
               ARdsSymPencil<ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
-  objA   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
+  this->objA   = &Pencil;
 
 } // Copy.
 
@@ -115,7 +116,7 @@ template<class ARFLOAT>
 inline void ARluSymGenEig<ARFLOAT>::ChangeShift(ARFLOAT sigmap)
 {
 
-  objOP->FactorAsB(sigmap);
+  this->objOP->FactorAsB(sigmap);
   ARrcSymGenEig<ARFLOAT>::ChangeShift(sigmap);
 
 } // ChangeShift.
@@ -177,8 +178,8 @@ ARluSymGenEig(int nevp, ARdsSymMatrix<AR
 {
 
   Pencil.DefineMatrices(A, B);
-  InvertMode = 'S';
-  NoShift();
+  this->InvertMode = 'S';
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARdsSymPencil<ARFLOAT>::MultInvBAv, &Pencil,
                    &ARdsSymPencil<ARFLOAT>::MultBv, whichp,
@@ -201,8 +202,8 @@ ARluSymGenEig(char InvertModep, int nevp
                    &ARdsSymPencil<ARFLOAT>::MultInvAsBv, &Pencil,
                    &ARdsSymPencil<ARFLOAT>::MultBv, whichp,
                    ncvp, tolp, maxitp, residp, ishiftp);
-  InvertMode = CheckInvertMode(InvertModep);
-  switch (InvertMode) {
+  this->InvertMode = this->CheckInvertMode(InvertModep);
+  switch (this->InvertMode) {
   case 'B':
     ChangeMultBx(&Pencil, &ARdsSymPencil<ARFLOAT>::MultAv);
   case 'S':
@@ -221,7 +222,7 @@ operator=(const ARluSymGenEig<ARFLOAT>& 
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
